html,
body {
    margin: 0;
    padding: 0;
}

#container {
    width: 300px;
    height: 50px;
    box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 0;
    cursor: pointer;
    border: 1px solid #040405;
    background-color: white;
    overflow: hidden;
    transition: 0.3s ease-in-out;

}

#bg {
    background-color: black;
}

.size {
    width: 300px;
    height: 50px;
    position: absolute;
    top: 0;
    left: 0;
    box-sizing: border-box;
}

.opacity0 {
    opacity: 0;

}

#imgMask {
    width: 183px;
    height: 90px;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
}

#imgMask img {
    width: 184px;
    height: 90px;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
    transform-origin: 92px 45px;
}

#container:hover #cta {
    scale: 1.1;
}

#cta {
    transition: scale 0.2s linear;
}